com.pixelmed.test

## Class TestStructuredReport_XMLRepresentation

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestStructuredReport_XMLRepresentation

-     public class TestStructuredReport_XMLRepresentation
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestStructuredReport_XMLRepresentation(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static AttributeList` | `getDefaultAttributeList()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `testStructuredReport_XMLRepresentation_WithReferences()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestStructuredReport_XMLRepresentation

          public TestStructuredReport_XMLRepresentation(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### getDefaultAttributeList

          protected static AttributeList getDefaultAttributeList()
                                                          throws DicomException

      Throws:
        `DicomException`

    - #### tearDown

          protected void tearDown()

    - #### testStructuredReport_XMLRepresentation_WithReferences

          public void testStructuredReport_XMLRepresentation_WithReferences()
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`